Package org.apache.sysds.conf

## Enum CompilerConfig.ConfigType

- java.lang.Object
- - java.lang.Enum<CompilerConfig.ConfigType>
  - - org.apache.sysds.conf.CompilerConfig.ConfigType

All Implemented Interfaces:
  `Serializable`, `Comparable<CompilerConfig.ConfigType>`

Enclosing class:
  CompilerConfig

    public static enum CompilerConfig.ConfigType
    extends Enum<CompilerConfig.ConfigType>

### Enum Constant Summary

Enum Constants
`ALLOW_CSE_PERSISTENT_READS`
`ALLOW_DYN_RECOMPILATION`
`ALLOW_INDIVIDUAL_SB_SPECIFIC_OPS`
`ALLOW_PARALLEL_DYN_RECOMPILATION`
`BLOCK_SIZE`
`CODEGEN_ENABLED`
`FEDERATED_RUNTIME`
`IGNORE_READ_WRITE_METADATA`
`IGNORE_TEMPORARY_FILENAMES`
`IGNORE_UNSPECIFIED_ARGS`
`MLCONTEXT`
`OPT_LEVEL`
`PARALLEL_CP_MATRIX_OPERATIONS`
`PARALLEL_CP_READ_BINARYFORMATS`
`PARALLEL_CP_READ_TEXTFORMATS`
`PARALLEL_CP_WRITE_BINARYFORMATS`
`PARALLEL_CP_WRITE_TEXTFORMATS`
`PARALLEL_LOCAL_OR_REMOTE_PARFOR`
`REJECT_READ_WRITE_UNKNOWNS`
`RESOURCE_OPTIMIZATION`

### Method Summary

All Methods Static Methods Concrete Methods
`static CompilerConfig.ConfigType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CompilerConfig.ConfigType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OPT_LEVEL

    public static final CompilerConfig.ConfigType OPT_LEVEL

#### BLOCK_SIZE

    public static final CompilerConfig.ConfigType BLOCK_SIZE

#### PARALLEL_CP_READ_TEXTFORMATS

    public static final CompilerConfig.ConfigType PARALLEL_CP_READ_TEXTFORMATS

#### PARALLEL_CP_WRITE_TEXTFORMATS

    public static final CompilerConfig.ConfigType PARALLEL_CP_WRITE_TEXTFORMATS

#### PARALLEL_CP_READ_BINARYFORMATS

    public static final CompilerConfig.ConfigType PARALLEL_CP_READ_BINARYFORMATS

#### PARALLEL_CP_WRITE_BINARYFORMATS

    public static final CompilerConfig.ConfigType PARALLEL_CP_WRITE_BINARYFORMATS

#### PARALLEL_CP_MATRIX_OPERATIONS

    public static final CompilerConfig.ConfigType PARALLEL_CP_MATRIX_OPERATIONS

#### PARALLEL_LOCAL_OR_REMOTE_PARFOR

    public static final CompilerConfig.ConfigType PARALLEL_LOCAL_OR_REMOTE_PARFOR

#### ALLOW_DYN_RECOMPILATION

    public static final CompilerConfig.ConfigType ALLOW_DYN_RECOMPILATION

#### ALLOW_PARALLEL_DYN_RECOMPILATION

    public static final CompilerConfig.ConfigType ALLOW_PARALLEL_DYN_RECOMPILATION

#### ALLOW_INDIVIDUAL_SB_SPECIFIC_OPS

    public static final CompilerConfig.ConfigType ALLOW_INDIVIDUAL_SB_SPECIFIC_OPS

#### ALLOW_CSE_PERSISTENT_READS

    public static final CompilerConfig.ConfigType ALLOW_CSE_PERSISTENT_READS

#### IGNORE_UNSPECIFIED_ARGS

    public static final CompilerConfig.ConfigType IGNORE_UNSPECIFIED_ARGS

#### IGNORE_READ_WRITE_METADATA

    public static final CompilerConfig.ConfigType IGNORE_READ_WRITE_METADATA

#### IGNORE_TEMPORARY_FILENAMES

    public static final CompilerConfig.ConfigType IGNORE_TEMPORARY_FILENAMES

#### REJECT_READ_WRITE_UNKNOWNS

    public static final CompilerConfig.ConfigType REJECT_READ_WRITE_UNKNOWNS

#### MLCONTEXT

    public static final CompilerConfig.ConfigType MLCONTEXT

#### CODEGEN_ENABLED

    public static final CompilerConfig.ConfigType CODEGEN_ENABLED

#### FEDERATED_RUNTIME

    public static final CompilerConfig.ConfigType FEDERATED_RUNTIME

#### RESOURCE_OPTIMIZATION

    public static final CompilerConfig.ConfigType RESOURCE_OPTIMIZATION

### Method Detail

#### values

    public static CompilerConfig.ConfigType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CompilerConfig.ConfigType c : CompilerConfig.ConfigType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CompilerConfig.ConfigType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null